/**
  ******************************************************************************
  * @file    USART1_CFG.h
  * @author  sinomcu.com-AE
  * @brief   Header file of USART1_CFG.c file.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */

#ifndef __USART1_CFG_H
#define __USART1_CFG_H

#if(defined(EN_USART_DE) && EN_USART_DE)
#else                                                      /* GPIO PA12 pull Down ->RS485 IC DE,RX */
#define RS485_DE_Port          GPIOA
#define RS485_DE_Pin           MS32_GPIO_PIN_12
void gpio_de_recv(void);
void gpio_de_send(void);
#endif

void usart1_rs485_init(uint32_t baudrate);

#endif /* __USART1_CFG_H */ 

/******************************** END OF FILE ******************************** */
